function wp = wpdecomp(x,D,qmf)
% WPT decomposition with the improved algorithm
%
	n = length(x);
	wp = zeros(n,2.^D-1);
	x = shapeasrow(x);
	H = qmf;
	G = mirrorfilter(H);
	wp(:,1) = x';
	for d=0:(D-1),
	  for b=0:(2^d-1),
	    s = wp(:,packnum(d,b))';
	    [hs,ls] = dvi22(s,H,G);
	    wp(:,packnum(d+1,2*b)) = hs';
	    wp(:,packnum(d+1,2*b+1)) = ls';
	  end
	  H = upsample(H);
	  G = upsample(G);
	end
%
% end of function
% 
