function coefs = cwt_h(signal,scale)
% CWT with Haar wavelet basis
%
   signal = signal(:)';
   len = length(signal);
   coefs = zeros(1,len);
   precis = 10;
   [psi,psi_x] = get_psi(precis);
   f = get_filt(psi,psi_x,scale);
   coefs = -sqrt(scale)*keepcent(diff(conv(signal,f)),len);
%
% end of function
%