% prgoram for resolution of overlapping chromatogram
%
   clear;
%
% input orignal signal
%
   load chromat2.dat;
   x=chromat2(:,1)';
   y=chromat2(:,2)';
   y0 = y;
   N=length(y);
   y=[reverse(y) y reverse(y)];
%
% make wavelet filter
%
   qmf=makeonfi('Symmlet',4);
   H=qmf;
   G=-mirrorfi(H);
%
% set resolution level
%
    J=6;
%
% perform WT
%
   yy=y;
   for i=1:J
     [c,d]=dvi22(yy,H,G);
     for k=1:(2.^(i-1)-5)
        c=rshift(c);
     end
     cc(i,:)=c(N+1:2*N);
     dd(i,:)=d(N+1:2*N);
     H=upsample(H);
     G=upsample(G);
     yy=c;
   end
%
% display figure 5.45
%
   figure; hold;
   subplot(4,1,4);
   plot(x,y0);
   subplot(4,1,3)
   plot(x,dd(4,:),'r');
   subplot(4,1,2);
   plot(x,dd(5,:),'g');
   subplot(4,1,1);
   plot(x,dd(6,:),'b');
%
% end of program
%