   clear;
   
   params = [1.0 0.5 0.05; ...
	1.0 0.55 0.05; ...
	1.0 1.0 0.05; ...
	2.0 1.05 0.05; ...
	1.0 1.1 0.05; ...
	1.0 1.6 0.05; ...
	3.0 1.65 0.05; ...
	3.0 1.7 0.05; ...
	1.0 1.75 0.05; ...
	1.0 2.2 0.05; ...
	4.0 2.25 0.05; ...
	6.0 2.30 0.05; ...
   4.0 2.35 0.05; ...
 	1.0 2.40 0.05];

   x=0.005:20/4095:20.005;
   y = mlorentz(x,params);
   
   x = x(1:700);
   y = y(1:700);

   noise=rand(size(y));
   y=y+0.05*noise;
   
   qmf=makeonfi('Symmlet',4);
	H=qmf;
	G=mirrorfi(H);
	
	J = 4;
	yy=y;
	for i=1:J
	  [cc(i,:),dd(i,:)]=dvi22(yy,H,G);
	  H=upsample(H);
	  G=upsample(G);
	  yy=cc(i,:);
   end
   
   H0=H; G0=G;
   ccc=cc(J,:);
   for i=J:-1:1
	  H=down(H); 
     G=down(G); 
     if (i==1)|(i==2) ddd = dd(i,:).*55.0;
     else ddd=dd(i,:);
     end
     ccc=confrom2(ccc,ddd,H,G);
   end
   recon1 = ccc;
   
   H=H0; G=G0;
   ccc=cc(J,:);
   for i=J:-1:1
	  H=down(H); 
     G=down(G); 
     if (i==2) ddd = dd(i,:).*60.0;
     else ddd=dd(i,:);
     end
     ccc=confrom2(ccc,ddd,H,G);
   end
   recon2 = ccc;
   
   H=H0; G=G0;
   ccc=cc(J,:);
   for i=J:-1:1
	  H=down(H); 
     G=down(G); 
     if (i==3) ddd = dd(i,:).*10.0;
     else ddd=dd(i,:);
     end
     ccc=confrom2(ccc,ddd,H,G);
   end
   recon3 = ccc;
   
   figure;
   for i=1:J
      subplot(4,1,J-i+1); plot(x,dd(i,:));
   end

   figure; 
   subplot(4,1,4);
   plot(x,y);
   subplot(4,1,3);
   plot(x,recon1);
   subplot(4,1,2);
   plot(x,recon2);
   subplot(4,1,1);
   plot(x,recon3);
   