function y = mgauss(x,param) 
% Function for simulation of a chromatogram
% with Gaussian function.

   [m,n] = size(param);
   if n ~= 3 disp('Warning!!'); return; end
   
   x = x(:)';
   y = zeros(size(x));
   k = 1/(2*sqrt(log(2)));
   for i=1:m
      out = param(i,1)*exp(-((x-param(i,2))/(param(i,3)*k)).^2);
      y = y + out;
   end   
%   
% end of function.
%
