function x = wprecon(wpp,D,qmf,Dth)
% Reconstruction with the improved algorithm
%
	n = length(wpp);
	wp = zeros(n,2.^D-1);
	z = zeros(size(wpp(:,1)));
	for b=0:(2^D-1)
	  wp(:,packnum(D,b)) = wpp(:,b+1);   
   end
	H = qmf;
	G = mirrorfilter(H);
	for d = 0:(D-1),
	  H = upsample(H);
	  G = upsample(G);
	end
	n = length(H);
	for d = (D-1):-1:0
	  H = H(1:2:n);
	  G = G(1:2:n);
	  n=n/2;
	  for b=0:(2^d-1)
	    ls = wp(:,packnum(d+1,2*b));
	    hs = wp(:,packnum(d+1,2*b+1));
	    if packnum(d+1,2*b)>Dth
	      ls=z;
	    end
	    if packnum(d+1,2*b+1)>Dth
	      hs=z;
	    end
	    s = confrom2(ls',hs',H,G);
	    wp(:,packnum(d,b))=s';
	  end
	end
	x = wp(:,1)';
%
% end of function
% 
