function filter = get_filt(psi,psi_x,scale);
% Generate wavelet filter at a scale
%
   step = psi_x(2)-psi_x(1);
   psi_integ = cumsum(psi)*step;
   psi_x = psi_x-psi_x(1);
   dx = psi_x(2);
   xmax = psi_x(length(psi_x));
   j = [1+floor([0:scale*xmax]/(scale*dx))];
   if length(j)==1, j = [1 1]; end
   filter = fliplr(psi_integ(j));
%
% end of function
%