% program for derivative calculation with DWT
%
   clear;
%
% Signal simualtion, figure 5.36(a)
%
	k=1/(2*sqrt(log(2)));
   x=0:30/1999:30; 
   a1=1.0; t1=5; w1=1.3;
	y1=a1*exp(-((x-t1)/(w1*k)).^2);
	a2=1.0; t2=15.0; w2=1.3;
   y2=a2*(1+4*((x-t2)/w2).^2).^(-1);
   a3=1.0; t3=25;
   y3=a3*ones(size(x))./(1+exp(-3.0*(x-t3)));
   y=y1+y2+y3;
%   
%  noise=rand(size(y));  % for noisy signal
%  y=y+(noise-0.5)*0.01; 
%
   x=1:length(y);
   x=x(:);
	y=y(:);
   y=[y reverse(y)];
   y=y(1:2048);
   N=2000;
%
% make wavelet filters
%
   f1=makeonfilter('Daubechies',18);
   f2=makeonfiter('Daubechies',8);
%
% set resolutino level
%
   t=log2(length(y))-1;
%
% perform FWT
%
   wc1=fwt_po(y,t,f1);
   wc2=fwt_po(y,t,f2);
%
% compute 1st derivative & display
%
   dv=wc1(1:N/2)-wc2(1:N/2);
   plot(dv);
%
% compute 2st derivative & display
%
   dvv=wc1-wc2;
   wc1=fwt_po(dvv,t,f1);
   wc2=fwt_po(dvv,t,f2);
   dv2=wc1(1:N/4)-wc2(1:N/4);
   figure; plot(dv2);
%   
% end of program
%