% program for derivative calculation with improved algorithm
%
	clear;
%
% Signal simualtion, figure 5.38(a)
%
	k=1/(2*sqrt(log(2)));
   x=0:30/1999:30; 
   a1=1.0; t1=5; w1=1.3;
	y1=a1*exp(-((x-t1)/(w1*k)).^2);
	a2=1.0; t2=15.0; w2=1.3;
   y2=a2*(1+4*((x-t2)/w2).^2).^(-1);
   a3=1.0; t3=25;
   y3=a3*ones(size(x))./(1+exp(-3.0*(x-t3)));
   y=y1+y2+y3;
%   
%   noise=rand(size(y));  % for noisy signal
%   y=y+(noise-0.5)*0.01;
%
   x=1:length(y);
   x=x(:)';
	y=y(:)';
   y=[y reverse(y)];
   N=2000;
%
% make wavelet filters
%
	qmf=makeonfi('Daubechies',18);
	H1=qmf;
	G1=mirrorfi(H1);
	qmf=makeonfi('Daubechies',8);
	H2=qmf;
	G2=mirrorfi(H2);
%
% compute 1st derivative & display
%
   y0=y;
   [c1,d1]=dvi22(y0,H1,G1);
   [c2,d2]=dvi22(y0,H2,G2);
   dv=c1(1:N)-c2(1:N);
   plot(dv);
%
% compute 2st derivative & display
%
   y0=c1-c2;
   [c3,d1]=dvi22(y0,H1,G1);
   [c4,d2]=dvi22(y0,H2,G2);
   dv=c3(1:N)-c4(1:N);
   figure; plot(dv);
%   
% end of program
%
