function [psi,x] = get_psi(p)
% compute Haar wavelet basis
%
   xp = 2.^p;
   xn = 0:xp;
   x = xn./xp;
   c = 2.^(p-1)+1;
   psi(c) = 0.5;
   psi(1) = 0;
   for i=2:(c-1)
      psi(i)=psi(1)+(i-1)*0.5/c;
   end
   psi = [psi(1:c-1) psi(c) reverse(psi(1:c-1))];
%
% end of function
%